package cz.sa.shiftPlanner.dto;

import java.util.Set;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import org.hibernate.annotations.Type;
import org.joda.time.DateTime;

import cz.sa.shiftPlanner.entities.RuleVO;
import cz.sa.shiftPlanner.entities.infrastructure.AbstractVO;
import cz.sa.shiftPlanner.enums.WeekDay;


public class BusTurnsTimetableDTO extends AbstractVO {

	private BusTimetableDTO timetable;
	
	private Integer coupleNumber;
	
	private WeekDay weekDay;
	
	private Set<RuleDTO> rules;
	
	private DateTime validity_from;

	private DateTime validity_to;
	
	private String noteBefore;
	
	private String noteAfter;
	
	private Integer week;
	
	
	public Integer getWeek() {
		return week;
	}

	public void setWeek(Integer week) {
		this.week = week;
	}

	public String getNoteBefore() {
		return noteBefore;
	}

	public void setNoteBefore(String noteBefore) {
		this.noteBefore = noteBefore;
	}

	public String getNoteAfter() {
		return noteAfter;
	}

	public void setNoteAfter(String noteAfter) {
		this.noteAfter = noteAfter;
	}

	public DateTime getValidity_from() {
		return validity_from;
	}

	public void setValidity_from(DateTime validity_from) {
		this.validity_from = validity_from;
	}

	public DateTime getValidity_to() {
		return validity_to;
	}

	public void setValidity_to(DateTime validity_to) {
		this.validity_to = validity_to;
	}

	public Set<RuleDTO> getRules() {
		return rules;
	}

	public void setRules(Set<RuleDTO> rules) {
		this.rules = rules;
	}

	public WeekDay getWeekDay() {
		return weekDay;
	}

	public void setWeekDay(WeekDay weekDay) {
		this.weekDay = weekDay;
	}

	public BusTimetableDTO getTimetable() {
		return timetable;
	}

	public void setTimetable(BusTimetableDTO timetable) {
		this.timetable = timetable;
	}

	public Integer getCoupleNumber() {
		return coupleNumber;
	}

	public void setCoupleNumber(Integer coupleNumber) {
		this.coupleNumber = coupleNumber;
	}

	@Override
	public String toString() {
		return "BusTurnsTimetableDTO [timetable=" + timetable
				+ ", coupleNumber=" + coupleNumber + "]";
	}

}
