package cz.sa.shiftPlanner.dto;

import java.util.ArrayList;
import java.util.List;

import cz.sa.shiftPlanner.entities.infrastructure.AbstractVO;
import cz.sa.shiftPlanner.entities.infrastructure.UserDTO;


public class PersonDTO extends AbstractVO{

  private Long personalNumber;

	private String name;
	
	private String surname;
	
	private String email;
	
	private String phonenumber;
	
	private Boolean hpp;
	
	private String classification;
	
	private int weekWorkTime;
	
	private List<CityDTO> city = new ArrayList<CityDTO>();
	
	private List<LineGroupDTO> line_group = new ArrayList<LineGroupDTO>();
	
	private List<UserDTO> user;
	
	private List<TimeTrialDTO> timeTrials;
	

	public List<TimeTrialDTO> getTimeTrials() {
		return timeTrials;
	}

	public void setTimeTrials(List<TimeTrialDTO> timeTrials) {
		this.timeTrials = timeTrials;
	}

	public List<UserDTO> getUser() {
		return user;
	}

	public void setUser(List<UserDTO> user) {
		this.user = user;
	}

	public String getPhonenumber() {
		return phonenumber;
	}

	public void setPhonenumber(String phonenumber) {
		this.phonenumber = phonenumber;
	}

	public Boolean getHpp() {
		return hpp;
	}

	public void setHpp(Boolean hpp) {
		this.hpp = hpp;
	}

	public String getClassification() {
		return classification;
	}

	public void setClassification(String classification) {
		this.classification = classification;
	}

	public int getWeekWorkTime() {
		return weekWorkTime;
	}

	public void setWeekWorkTime(int weekWorkTime) {
		this.weekWorkTime = weekWorkTime;
	}

	public Long getPersonalNumber() {
		return personalNumber;
	}

	public void setPersonalNumber(Long personalNumber) {
		this.personalNumber = personalNumber;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getSurname() {
		return surname;
	}

	public void setSurname(String surname) {
		this.surname = surname;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	
	public List<CityDTO> getCity() {
		return city;
	}

	public void setCity(List<CityDTO> city) {
		this.city = city;
	}

	public List<LineGroupDTO> getLine_group() {
		return line_group;
	}

	public void setLine_group(List<LineGroupDTO> line_group) {
		this.line_group = line_group;
	}

	@Override
	public String toString() {
		return surname +" "+  name ;
	}

	
}
