package cz.sa.shiftPlanner.dto;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import org.hibernate.annotations.Type;
import org.joda.time.DateTime;

import cz.sa.shiftPlanner.entities.infrastructure.AbstractVO;


public class WayDTO extends AbstractVO {
		
	private PersonDTO person;
	
	private BusConnectionDTO connection;
	
	private ExcuseDTO excuse;
	
	private StationDTO arrivalStation;
	
	private StationDTO departureStation;
	
	private DateTime arrivalTime;
	
	private DateTime departureTime;
	
	private int delay;
	
	private Boolean isForeign;
	
	private String note;
	
	private boolean clearance;
	
	private boolean isActive;
	
	
	public ExcuseDTO getExcuse() {
    return excuse;
  }

  public void setExcuse(ExcuseDTO excuse) {
    this.excuse = excuse;
  }

  public boolean getIsActive() {
    return isActive;
  }

  public void setIsActive(boolean isActive) {
    this.isActive = isActive;
  }

  public boolean isClearance() {
		return clearance;
	}

	public void setClearance(boolean clearance) {
		this.clearance = clearance;
	}

	public String getNote() {
		return note;
	}

	public void setNote(String note) {
		this.note = note;
	}

	public PersonDTO getPerson() {
		return person;
	}

	public void setPerson(PersonDTO person) {
		this.person = person;
	}

	public BusConnectionDTO getConnection() {
		return connection;
	}

	public void setConnection(BusConnectionDTO connection) {
		this.connection = connection;
	}

	public int getDelay() {
		return delay;
	}

	public void setDelay(int delay) {
		this.delay = delay;
	}

	public Boolean getIsForeign() {
		return isForeign;
	}

	public void setIsForeign(Boolean isForeign) {
		this.isForeign = isForeign;
	}


	public StationDTO getArrivalStation() {
    return arrivalStation;
  }

  public void setArrivalStation(StationDTO arrivalStation) {
    this.arrivalStation = arrivalStation;
  }

  public StationDTO getDepartureStation() {
    return departureStation;
  }

  public void setDepartureStation(StationDTO departureStation) {
    this.departureStation = departureStation;
  }

  public DateTime getArrivalTime() {
		return arrivalTime;
	}

	public void setArrivalTime(DateTime arrivalTime) {
		this.arrivalTime = arrivalTime;
	}

	public DateTime getDepartureTime() {
		return departureTime;
	}

	public void setDepartureTime(DateTime departureTime) {
		this.departureTime = departureTime;
	}


}
