package cz.sa.shiftPlanner.services;

import java.util.List;

import org.springframework.security.access.annotation.Secured;
import org.springframework.stereotype.Service;

import cz.sa.shiftPlanner.dto.CityDTO;
import cz.sa.shiftPlanner.dto.StationDTO;
import cz.sa.shiftPlanner.entities.CityVO;
import cz.sa.shiftPlanner.utils.PlannerRoles;


public interface CityService {

	CityDTO get(Long id);
	
    void create(CityDTO city);
    
    void update(CityDTO city);
    
    void remove(CityDTO city);
    
   // @Secured(PlannerRoles.STEWARD)
    List<CityDTO> findAll();

    List<CityDTO> findByName(String name);

    List<CityDTO> findAllCZ();
    
    List<StationDTO> findAllStations();
}
