package cz.sa.shiftPlanner.pcomponent;

import java.util.Collection;

import org.apache.wicket.extensions.markup.html.repeater.util.SortParam;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.Model;
import org.apache.wicket.spring.injection.annot.SpringBean;

import cz.sa.shiftPlanner.dto.LineGroupDTO;
import cz.sa.shiftPlanner.services.LineGroupService;
import cz.sa.shiftPlanner.web.notification.LoadableDataProvider;

/**
 *
 * @author    ToSk
 * @version   1.0
 * @created   14. 10. 2013
 */

public class LineGroupProvider extends LoadableDataProvider<LineGroupDTO, String> {

  LineGroupService lineService;
  
  public LineGroupProvider(LineGroupService ser) {
    super("name", true);
    lineService = ser;
  }
  
  @Override
  public IModel<LineGroupDTO> model(LineGroupDTO object) {
    return new Model<LineGroupDTO>(object);
  }

  @Override
  protected Collection<LineGroupDTO> load() {
    return lineService.getCroppedList();
  }

}
