package cz.sa.shiftPlanner.web;

import org.apache.wicket.markup.head.CssHeaderItem;
import org.apache.wicket.markup.head.IHeaderResponse;
import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.request.mapper.parameter.PageParameters;
import org.apache.wicket.request.resource.CssResourceReference;

/**
 *
 * @author    ToSk
 * @version   1.0
 * @created   25. 9. 2013
 */

public abstract class AbstractWebPage extends WebPage {

  public AbstractWebPage(PageParameters parameters) {
    super(parameters);
  }
  
  @Override
  public void renderHead(IHeaderResponse response) {   
    super.renderHead(response);
    
    response.render(CssHeaderItem.forReference(new CssResourceReference(HomePage.class, "basicStyle.css")));
    response.render(CssHeaderItem.forReference(new CssResourceReference(HomePage.class, "pageStyle.css")));
  }
  
}
