package cz.sa.shiftPlanner.web.MO;

import java.io.Serializable;
import java.util.Date;

import org.apache.wicket.model.IModel;
import org.apache.wicket.model.Model;

/**
 *
 * @author    ToSk
 * @version   1.0
 * @created   26. 11. 2013
 */

public class RangeMO implements Serializable {

  private IModel<Date> from = new Model<Date>();
  private IModel<Date> to = new Model<Date>();
  
  public RangeMO(IModel<Date> from, IModel<Date> to) {
    this.from = from;
    this.to = to;
  }
  
  public IModel<Date> getFrom() {
    return from;
  }
  public void setFrom(IModel<Date> from) {
    this.from = from;
  }
  public IModel<Date> getTo() {
    return to;
  }
  public void setTo(IModel<Date> to) {
    this.to = to;
  }

  @Override
  public int hashCode() {
    final int prime = 31;
    int result = 1;
    result = prime * result + ((from == null) ? 0 : from.hashCode());
    result = prime * result + ((to == null) ? 0 : to.hashCode());
    return result;
  }

  @Override
  public boolean equals(Object obj) {
    if (this == obj)
      return true;
    if (obj == null)
      return false;
    if (getClass() != obj.getClass())
      return false;
    RangeMO other = (RangeMO) obj;
    if (from == null) {
      if (other.from != null)
        return false;
    }
    else{ 
      if(from.getObject().getDate() != other.from.getObject().getDate())
        return false;
      if(from.getObject().getYear() != other.from.getObject().getYear())
        return false;
      if(from.getObject().getMonth() != other.from.getObject().getMonth())
        return false;
    }
    return true;
  }
  
  
}
