package cz.sa.shiftPlanner.web.MO;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import org.apache.wicket.model.IModel;
import org.joda.time.DateTime;

import cz.sa.shiftPlanner.dto.BusConnectionDTO;
import cz.sa.shiftPlanner.dto.PersonDTO;

/**
 *
 * @author    ToSk
 * @version   1.0
 * @created   19. 9. 2013
 */

public class WayMO implements Serializable {

  
  private static final long serialVersionUID = 17453785L;
  
  private IModel<List<List<BusConnectionDTO>>> connections;
  private IModel<List<BusConnectionDTO>> supports;
  private DateTime time;
  
  public WayMO(IModel<List<List<BusConnectionDTO>>> connections, IModel<List<BusConnectionDTO>> supports, DateTime time){
    this.connections = connections;
    this.supports = supports;
    this.time = time;
  }
  
  public WayMO(){}
      
  public IModel<List<List<BusConnectionDTO>>> getConnections() {
    return connections;
  }
  public void setConnections(IModel<List<List<BusConnectionDTO>>> connections) {
    this.connections = connections;
  }
  public IModel<List<BusConnectionDTO>> getSupports() {
    return supports;
  }
  public void setSupports(IModel<List<BusConnectionDTO>> supports) {
    this.supports = supports;
  }
  public DateTime getTime() {
    return time;
  }
  public void setTime(DateTime time) {
    this.time = time;
  }
  
}
