package cz.sa.shiftPlanner.dto;

import javax.persistence.Column;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;

import org.hibernate.annotations.Type;
import org.joda.time.DateTime;

import cz.sa.shiftPlanner.entities.PersonVO;
import cz.sa.shiftPlanner.entities.infrastructure.AbstractVO;
import cz.sa.shiftPlanner.enums.ExcuseReason;
import cz.sa.shiftPlanner.enums.ExcuseStatus;
import cz.sa.shiftPlanner.utils.DateFormatter;

/**
 * @author ToSk
 */

public class ExcuseDTO extends AbstractVO{

	private PersonDTO person;
	 
	private ExcuseReason reason;
	
	private DateTime from_;

	private DateTime to_;
	
	private String excuseText;
	
	private ExcuseStatus status;
	
	public ExcuseStatus getStatus() {
    return status;
  }

  public void setStatus(ExcuseStatus status) {
    this.status = status;
  }

  public PersonDTO getPerson() {
		return person;
	}

	public void setPerson(PersonDTO person) {
		this.person = person;
	}

	public ExcuseReason getReason() {
		return reason;
	}

	public void setReason(ExcuseReason reason) {
		this.reason = reason;
	}

	public DateTime getFrom_() {
		return from_;
	}

	public void setFrom_(DateTime from_) {
		this.from_ = from_;
	}

	public DateTime getTo_() {
		return to_;
	}

	public void setTo_(DateTime to_) {
		this.to_ = to_;
	}

	public String getExcuseText() {
		return excuseText;
	}

	public void setExcuseText(String excuseText) {
		this.excuseText = excuseText;
	}
	
	@Override
	public String toString() {
	  return person.toString() + " - " + from_ + "-" + to_;
	}
}


