package cz.sa.shiftPlanner.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import cz.sa.shiftPlanner.entities.infrastructure.AbstractNoGenVO;

/**
 *
 * @author    ToSk
 * @version   1.0
 * @created   1. 10. 2013
 */

@Entity(name = "StationVO")
@Table(name = "station")
public class StationVO extends AbstractNoGenVO {

  @Column(columnDefinition="varchar(100)", nullable=false)
  private String stationName;
  
  @ManyToOne
  private CityVO city;

  public String getStationName() {
    return stationName;
  }

  public void setStationName(String stationName) {
    this.stationName = stationName;
  }

  public CityVO getCity() {
    return city;
  }

  public void setCity(CityVO city) {
    this.city = city;
  }
  
  
}
