package cz.sa.shiftPlanner.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import org.hibernate.annotations.Type;
import org.joda.time.DateTime;

import cz.sa.shiftPlanner.entities.infrastructure.AbstractNoGenVO;

/**
 * @author ToSk
 */

@Entity
@Table(name="time_code_item")
public class TimeCodeItemVO extends AbstractNoGenVO{

	@Type(type = "org.jadira.usertype.dateandtime.joda.PersistentDateTime")
	@Column
	private DateTime from_;
	
	@Type(type = "org.jadira.usertype.dateandtime.joda.PersistentDateTime")
	@Column
	private DateTime to_;
	
	@ManyToOne
	private TimeCodeVO timeCode;
	
	@Column
	private String type;
	
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public DateTime getFrom_() {
		return from_;
	}

	public void setFrom_(DateTime from_) {
		this.from_ = from_;
	}

	public DateTime getTo_() {
		return to_;
	}

	public void setTo_(DateTime to_) {
		this.to_ = to_;
	}

	public TimeCodeVO getTimeCode() {
		return timeCode;
	}

	public void setTimeCode(TimeCodeVO timeCode) {
		this.timeCode = timeCode;
	}
	
	
}


