/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.sa.shiftPlanner.entities.infrastructure;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import cz.sa.shiftPlanner.entities.PersonVO;

/**
 *
 * @author ToSK
 */
@Entity
@Table(name = "systemUser")
public class UserVO extends AbstractVO{
	
	
    @Column(nullable = false, unique = true)
    private String username;
    
    @Column(nullable = true)
    private String passwordHash;
    
    @Column(nullable = false)
    private String role;
    
    @ManyToOne(fetch = FetchType.EAGER)
    private PersonVO person;
    
    @Column
    private boolean isSign;
    
    
    public boolean isSign() {
		return isSign;
	}

	public void setSign(boolean isSign) {
		this.isSign = isSign;
	}

	public PersonVO getPerson() {
		return person;
	}

	public void setPerson(PersonVO person) {
		this.person = person;
	}

	public String getRole() {
		return role;
	}

	public void setRole(String role) {
		this.role = role;
	}

	public String getUsername()
    {
        return username;
    }

    public void setUsername(String username)
    {
        this.username = username;
    }

    public String getPasswordHash()
    {
        return passwordHash;
    }

    public void setPasswordHash(String passwordHash)
    {
        this.passwordHash = passwordHash;
    }

	@Override
	public String toString() {
		return "UserVO [username=" + username + "]";
	}

  
}
