package cz.sa.shiftPlanner.utils;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;

import cz.sa.shiftPlanner.enums.Unit;

/**
 *
 * @author    ToSk
 * @version   1.0
 * @created   15. 10. 2013
 */

@Embeddable
public class Quantity {

  @Column(name="amount", nullable=true) 
  private int amount;
  
  @Column(name="unit", nullable=true) 
  @Enumerated(EnumType.STRING)
  private Unit unit;
  
  public Quantity(int amount, Unit unit) {
    this.amount = amount;
    this.unit = unit;
  }
  
  public Quantity(){}

  public int getAmount() {
    return amount;
  }

  public Unit getUnit() {
    return unit;
  }
  
}
